View Issue Details

IDProjectCategoryView StatusLast Update
0021844mantisbthtmlpublic2016-11-27 00:45
Reporterj_schultzAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.3 
Target Version1.3.4Fixed in Version1.3.4 
Summary0021844: Ampersands in Gravatar urls are double-escaped on bug pages
Description

Possibly introduced by the fix for 0021804. Now the ampersands in Gravtar URLs are double-escaped when showing avatars next to bug comments, breaking the rating and size parameters.

TagsNo tags attached.

Relationships

related to 0021804 closeddregad Ampersands in Gravatar urls are not escaped properly 

Activities

vboctor

vboctor

2016-11-02 22:00

manager   ~0054385

This is probably related to 0021804 fixed by @dregad

dregad

dregad

2016-11-09 12:23

developer   ~0054489

PR https://github.com/mantisbt/mantisbt/pull/946

Related Changesets

MantisBT: master-1.3.x aa2a3c0f

2016-11-09 12:06:39

dregad

Details Diff
Proper fix for gravatar URL '&' encoding

This partially reverts the change introduced in issue 0021804 (see commit
fa2e7171e5e5b85465e449b67e5ced6672b9f3f9), letting the caller escape the
URL as needed.

Fixes 0021844
mod - core/classes/TimelineEvent.class.php Diff File
mod - plugins/Gravatar/Gravatar.php Diff File

Issue History

Date Modified Username Field Change
2016-11-02 18:19 j_schultz New Issue
2016-11-02 21:59 vboctor Relationship added related to 0021804
2016-11-02 22:00 vboctor Note Added: 0054385
2016-11-03 03:58 dregad Assigned To => dregad
2016-11-03 03:58 dregad Status new => assigned
2016-11-09 12:23 dregad Note Added: 0054489
2016-11-09 12:23 dregad Target Version => 1.3.4
2016-11-12 11:27 dregad Changeset attached => MantisBT master-1.3.x aa2a3c0f
2016-11-12 11:27 dregad Status assigned => resolved
2016-11-12 11:27 dregad Resolution open => fixed
2016-11-12 11:27 dregad Fixed in Version => 1.3.4
2016-11-27 00:45 vboctor Status resolved => closed